import React, { Fragment } from "react";
import Head from "next/head";

interface layoutProps {
  pageTitle?: string;
  children: React.ReactNode;
}

function Layout(props: layoutProps) {
  let pageTitle = props.pageTitle
    ? `${props.pageTitle} | FollowMe`
    : "FollowMe";

  return (
    <Fragment>
      <Head>
        <title>{pageTitle}</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
      </Head>
      {props.children}
    </Fragment>
  );
}

export default Layout;
